> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capa.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bank Accounts (Receiver)

Retrieves bank accounts for a user by receiver ID with pagination. Resolves the user from the receiver, then retrieves their bank accounts.

***

## Error Codes

### Common Errors

| HTTP Status | Code                   | Message                            |
| ----------- | ---------------------- | ---------------------------------- |
| 401         | `UNAUTHORIZED`         | "API Key is missing"               |
| 401         | `UNAUTHORIZED`         | "Invalid API Key format"           |
| 401         | `UNAUTHORIZED`         | "Invalid API Key"                  |
| 403         | `INVALID_PARTNER_FLOW` | "The partner has an invalid flow." |

### User Ownership Errors

| HTTP Status | Code           | Message                                              |
| ----------- | -------------- | ---------------------------------------------------- |
| 401         | `UNAUTHORIZED` | "Partner information is required for this operation" |
| 401         | `UNAUTHORIZED` | "User is not associated with the partner"            |

### Endpoint-Specific Errors

| HTTP Status | Code                       | Message               |
| ----------- | -------------------------- | --------------------- |
| 400         | `INVALID_USER_INPUT_ERROR` | "Invalid User Input"  |
| 404         | `RECEIVER_NOT_FOUND`       | "Receiver not found." |


## OpenAPI

````yaml reference/openapi/UserBankInfoPartnerV2Controller_getUserBankInfosByReceiverId.json GET /api/partner/v2/banks/receivers/{receiverId}/accounts
openapi: 3.0.0
info:
  title: Capa Partner API - V2
  description: >-
    Partner API for integrating cryptocurrency on-ramp and off-ramp services
    using Capa's infrastructure. Enable your users to seamlessly convert between
    fiat and crypto.
  version: v2
  contact: {}
servers:
  - url: https://staging-api.capa.fi
  - url: https://production-api.capa.fi
security: []
paths:
  /api/partner/v2/banks/receivers/{receiverId}/accounts:
    get:
      tags:
        - banks
      operationId: UserBankInfoPartnerV2Controller_getUserBankInfosByReceiverId
      parameters:
        - name: receiverId
          required: true
          in: path
          description: The receiver ID to get bank info for
          schema:
            example: 8374f327-38bd-4b0b-b8a7-2524599eb903
            type: string
        - name: userId
          required: false
          in: query
          description: User identifier
          schema:
            type: string
        - name: country
          required: false
          in: query
          description: Country filter
          schema:
            enum:
              - MX
              - DO
              - US
              - AT
              - BE
              - BG
              - HR
              - CY
              - CZ
              - DK
              - EE
              - FI
              - FR
              - DE
              - GR
              - HU
              - IE
              - IT
              - LV
              - LT
              - LU
              - MT
              - NL
              - PL
              - PT
              - RO
              - SK
              - SI
              - ES
              - SE
              - IS
              - LI
              - 'NO'
              - CH
              - GB
              - MC
              - SM
              - AD
              - VA
              - CN
            type: string
        - name: rampType
          required: false
          in: query
          description: Ramp type filter (ON_RAMP or OFF_RAMP)
          schema:
            enum:
              - ON_RAMP
              - OFF_RAMP
              - CROSS_RAMP
            type: string
        - name: id
          required: false
          in: query
          description: User bank info ID to fetch a specific bank account
          schema:
            type: string
        - name: skip
          required: false
          in: query
          description: The number of elements to exclude from the results.
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: The maximum amount of results to return.
          schema:
            type: number
        - name: sortBy
          required: false
          in: query
          description: |-
            Supported values:
             - createdAt
          schema:
            type: string
      responses:
        '200':
          description: >-
            Retrieves the bank accounts for a user by receiverId with
            pagination. First gets the user by receiver ID, then retrieves their
            bank accounts.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      count:
                        type: number
                        description: Total count of bank accounts matching the query
                        example: 5
                      total:
                        type: number
                        description: Total count of bank accounts for this user
                        example: 10
                      data:
                        description: Array of user bank info data
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            userId:
                              type: string
                              description: >-
                                The id of the user that owns this bank
                                information
                            partnerId:
                              type: string
                              description: >-
                                The id of the partner that owns this bank
                                information
                            bankName:
                              type: string
                              description: >-
                                The name of the bank in case the bank is not
                                supported
                            accountNumber:
                              type: string
                            accountType:
                              enum:
                                - SAVINGS
                                - CHECKING
                              type: string
                            clabe:
                              type: string
                              nullable: true
                              description: The CLABE number only for Mexican banks
                            country:
                              enum:
                                - MX
                                - DO
                                - US
                                - AT
                                - BE
                                - BG
                                - HR
                                - CY
                                - CZ
                                - DK
                                - EE
                                - FI
                                - FR
                                - DE
                                - GR
                                - HU
                                - IE
                                - IT
                                - LV
                                - LT
                                - LU
                                - MT
                                - NL
                                - PL
                                - PT
                                - RO
                                - SK
                                - SI
                                - ES
                                - SE
                                - IS
                                - LI
                                - 'NO'
                                - CH
                                - GB
                                - MC
                                - SM
                                - AD
                                - VA
                                - CN
                              type: string
                            rampType:
                              enum:
                                - ON_RAMP
                                - OFF_RAMP
                                - CROSS_RAMP
                              type: string
                            documentNumber:
                              type: string
                            documentType:
                              enum:
                                - PASSPORT
                                - CEDULA
                                - RNC
                              type: string
                            alias:
                              type: string
                              description: Optional friendly label for the bank account
                            isVerified:
                              type: boolean
                              description: Whether the bank account is verified
                            verificationStatus:
                              description: The verification status of the bank account
                              enum:
                                - PENDING
                                - VERIFIED
                                - REJECTED
                                - CEP_FAILURE
                              type: string
                            verifiedAt:
                              format: date-time
                              type: string
                              description: The date when the bank account was verified
                            createdAt:
                              format: date-time
                              type: string
                            updatedAt:
                              format: date-time
                              type: string
                          required:
                            - id
                            - userId
                            - accountNumber
                            - accountType
                            - clabe
                            - country
                            - rampType
                            - isVerified
                            - createdAt
                            - updatedAt
                    required:
                      - count
                      - total
                      - data
              example:
                success: true
                data:
                  count: 1
                  total: 1
                  data:
                    - id: string
                      userId: string
                      partnerId: string
                      bankName: string
                      accountNumber: string
                      accountType: SAVINGS
                      clabe: string
                      country: MX
                      rampType: ON_RAMP
                      documentNumber: string
                      documentType: PASSPORT
                      alias: string
                      isVerified: true
                      verificationStatus: VERIFIED
                      verifiedAt: '2025-05-14T10:05:00.000Z'
                      createdAt: string
                      updatedAt: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                code: INVALID_USER_INPUT_ERROR
                message: Invalid User Input
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                UNAUTHORIZED:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: API Key is missing
                UNAUTHORIZED_2:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: Invalid API Key format
                UNAUTHORIZED_3:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: Invalid API Key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                code: RECEIVER_NOT_FOUND
                message: Receiver not found.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                code: INTERNAL_SERVER_ERROR
                message: Internal server error
      security:
        - PartnerApiKey: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: string
          description: Machine-readable error code.
        message:
          type: string
          description: Human-readable error message.
        errors:
          type: array
          description: Optional per-field validation details.
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
      required:
        - success
        - code
        - message
  securitySchemes:
    PartnerApiKey:
      type: apiKey
      in: header
      name: partner-api-key
      description: API key for the affiliated partner performing the request.

````